Wichtiger Hinweis: Dieser Beitrag ist bereits 5 Jahre alt. Die hier beschriebene Lösung für die RMagick Installation funktioniert möglicherweise nicht mehr, da die Debian Version veraltet ist!


Bei uns ist eine RMagick Installation mittels gem auf einem Debian Wheezy Server fehlgeschlagen mit folgender Fehlermeldung:

Building native extensions. This could take a while…
ERROR: Error installing rmagick:
ERROR: Failed to build gem native extension.
/usr/local/rvm/rubies/ruby-1.9.3-p545/bin/ruby extconf.rb
checking for Ruby version >= 1.8.5… yes
checking for gcc… yes
checking for Magick-config… no
Can’t install RMagick 2.13.2. Can’t find Magick-config in /usr/local/rvm/gems/ruby-1.9.3-p545/bin:/usr/local/rvm/gems/ruby-1.9.3-p545@global/bin:/usr/local/rvm/rubies/ruby-1.9.3-p545/bin:/usr/local/rvm/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/var/lib/gems/1.8/bin

Die Installation des Debian Pakets (libmagickwand-dev) hat das Problem behoben:

sudo apt-get install libmagickwand-dev

keine Kommentare  |  Kommentar schreiben

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.